Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class FbConnectionProperties

java.lang.Object
org.firebirdsql.gds.ng.AbstractAttachProperties<IConnectionProperties>
org.firebirdsql.gds.ng.FbConnectionProperties

All Implemented Interfaces:
  `Serializable`, `IAttachProperties<IConnectionProperties>`, `IConnectionProperties`, `AttachmentProperties`, `BaseProperties`, `DatabaseConnectionProperties`

public final class FbConnectionProperties extends AbstractAttachProperties<IConnectionProperties> implements IConnectionProperties, Serializable
Mutable implementation of `IConnectionProperties`

Since:
  3.0
Author:
  Mark Rotteveel
See Also:
  - `FbImmutableConnectionProperties`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.firebirdsql.gds.ng.AbstractAttachProperties

  `AbstractAttachProperties.PropertyUpdateListener`

- ## Field Summary

  ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

  `DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FbConnectionProperties()`
  Default constructor for FbConnectionProperties
  `FbConnectionProperties(IConnectionProperties src)`
  Copy constructor for FbConnectionProperties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IConnectionProperties`
  `asImmutable()`
  `IConnectionProperties`
  `asNewMutable()`
  `protected void`
  `dirtied()`
  Called by setters if they have been called.
  `boolean`
  `equals(Object o)`
  `protected Object`
  `resolveStoredDefaultValue(ConnectionProperty property)`
  Resolve the default value for the specified connection property.

  ### Methods inherited from class org.firebirdsql.gds.ng.AbstractAttachProperties

  `connectionPropertyValues, getBooleanProperty, getIntProperty, getProperty, hashCode, isImmutable, property, registerPropertyUpdateListener, setBooleanProperty, setIntProperty, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

  `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

  `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

  `getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getMaxBlobCacheSize, getMaxInlineBlobSize, getPageCacheSize, getReportSQLWarnings, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isAllowTxStmts, isAsyncFetch, isColumnLabelForName, isCreateDatabaseIfNotExist, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isUseCatalogAsPackage, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setAllowTxStmts, setAsyncFetch, setBlobBufferSize, setColumnLabelForName, setCreateDatabaseIfNotExist, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setMaxBlobCacheSize, setMaxInlineBlobSize, setPageCacheSize, setReportSQLWarnings, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTpbMapping, setUseCatalogAsPackage, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

  ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

  `getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

- ## Constructor Details

  - ### FbConnectionProperties

    public FbConnectionProperties(IConnectionProperties src)
    Copy constructor for FbConnectionProperties.

    All properties defined in `IConnectionProperties` are copied from `src` to the new instance.

    Parameters:
      `src` - Source to copy from

  - ### FbConnectionProperties

    public FbConnectionProperties()
    Default constructor for FbConnectionProperties

- ## Method Details

  - ### asImmutable

    public IConnectionProperties asImmutable()
    Specified by:
      `asImmutable` in interface `IAttachProperties<IConnectionProperties>`
    Specified by:
      `asImmutable` in interface `IConnectionProperties`
    Returns:
      An immutable version of this instance as an implementation of `IConnectionProperties`

  - ### asNewMutable

    public IConnectionProperties asNewMutable()
    Specified by:
      `asNewMutable` in interface `IAttachProperties<IConnectionProperties>`
    Specified by:
      `asNewMutable` in interface `IConnectionProperties`
    Returns:
      A new, mutable, instance as an implementation of `IConnectionProperties` with all properties copied.

  - ### resolveStoredDefaultValue

    protected Object resolveStoredDefaultValue(ConnectionProperty property)
    Description copied from class: `AbstractAttachProperties`
    Resolve the default value for the specified connection property.

    This method is only used for properties that must have a stored default value to function correctly.

    Overrides:
      `resolveStoredDefaultValue` in class `AbstractAttachProperties<IConnectionProperties>`
    Parameters:
      `property` - Connection property
    Returns:
      Default value to apply (usually `null`)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `AbstractAttachProperties<IConnectionProperties>`

  - ### dirtied

    protected void dirtied()
    Description copied from class: `AbstractAttachProperties`
    Called by setters if they have been called.
    Specified by:
      `dirtied` in class `AbstractAttachProperties<IConnectionProperties>`